library(ggplot2)

analyse <- read.table("analyse.dat", header = TRUE)

ggplot(analyse, aes(x=taille, y=temps, group=tri, colour=tri)) + 
geom_point() + geom_smooth() + facet_grid(tri~sort) + ggtitle("Graphe des temps d'exécution")

ggsave("../Images/graphe_analyse_temps.png")

ggplot(analyse, aes(x=taille, y=mem, group=tri, colour=tri)) + 
geom_point() + geom_smooth() + facet_grid(tri~sort) + ggtitle("Graphe des consommations mémoire")

ggsave("../Images/graphe_analyse_memoire.png")